import { html as v } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, l = p.length - 1, i; l >= 0; l--)
    (i = p[l]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--over21Filled", this.class = "c-pieIcon c-pieIcon--over21Filled", this.name = "IconOver21Filled";
  }
  render() {
    return v`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--over21Filled"><path d="M12.375 2.313h-8.75a1.313 1.313 0 0 0-1.312 1.312v8.75a1.313 1.313 0 0 0 1.312 1.313h8.75a1.313 1.313 0 0 0 1.313-1.313v-8.75a1.313 1.313 0 0 0-1.313-1.312M6.618 9.947H3.625v-.573c0-.8.464-1.138 1.129-1.492s.875-.508.875-.875c0-.368-.254-.477-.617-.477a1.13 1.13 0 0 0-.875.394l-.481-.59a1.84 1.84 0 0 1 1.421-.596c.875 0 1.427.473 1.427 1.243 0 .687-.438 1.107-1.15 1.452-.644.324-.876.503-.876.722v.044H6.6zm2.353 0H8.14V6.8l-.683.254-.28-.704 1.195-.538h.6zm3.404-1.51H11.5v.876h-.875v-.876H9.75v-.874h.875v-.875h.875v.875h.875z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  a("icon-over21-filled")
], o);
export {
  o as IconOver21Filled
};
